# 32/64bit spec-file
#
%define	major 7
%define libname	%mklibname event %{major}
%define develname %mklibname -d event

Summary:	Abstract asynchronous event notification library
Name:		libevent
Version:	2.1.11
Release:	%mkrel 3
Group:		System/Libraries
License:	BSD
URL:		http://www.monkey.org/~provos/libevent/
Source0:	http://www.monkey.org/~provos/%{name}-%{version}-stable.tar.xz
Patch0:		libevent-version-info-only.patch
Patch1:		libevent-linkage_fix.diff
Patch2:		libevent-2.0.13-manpages-on.patch
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	doxygen
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The libevent API provides a mechanism to execute a callback function when a
specific event occurs on a file descriptor or after a timeout has been reached.
libevent is meant to replace the asynchronous event loop found in event driven
network servers. An application just needs to call event_dispatch() and can
then add or remove events dynamically without having to change the event loop.

%package -n	%{libname}
Summary:	Abstract asynchronous event notification library
Group:          System/Libraries

%description -n	%{libname}
The libevent API provides a mechanism to execute a callback function when a
specific event occurs on a file descriptor or after a timeout has been reached.
libevent is meant to replace the asynchronous event loop found in event driven
network servers. An application just needs to call event_dispatch() and can
then add or remove events dynamically without having to change the event loop.

%package -n	%{develname}
Summary:	Static library and header files for the libevent library
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}
Provides:	lib%{name}-devel = %{version}
Requires:	%{libname}
Obsoletes:	%{mklibname -d event 2}

%description -n	%{develname}
The libevent API provides a mechanism to execute a callback function when a
specific event occurs on a file descriptor or after a timeout has been reached.
libevent is meant to replace the asynchronous event loop found in event driven
network servers. An application just needs to call event_dispatch() and can
then add or remove events dynamically without having to change the event loop.

This package contains the static libevent library and its header files needed
to compile applications such as stegdetect, etc.

%prep

%setup -q -n %{name}-%{version}-stable
%apply_patches

%build
autoreconf -fi

export CFLAGS="%{optflags} -fPIC"

%configure2_5x --disable-static
%make_build

# provide man pages
make doxygen


%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

# don't enforce python deps here
rm -f %{buildroot}%{_bindir}/event_rpcgen.py

# provide man pages
install -d %{buildroot}%{_mandir}/man3
install -m0644 doxygen/man/man3/*.3 %{buildroot}%{_mandir}/man3/


%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc event_rpcgen.py
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man3/*


%changelog
* Thu Aug 06 2020 tex - 2.1.11-3pclos2020
- rebuild against updates

* Mon Dec 02 2019 tex - 2.1.11-2pclos2019
- rebuild against updates

* Sat Aug 10 2019 tex - 2.1.11-1pclos2019
- new version

* Sat Jul 13 2019 tex - 2.1.10-1pclos2019
- new version

* Tue Jan 15 2019 tex - 2.1.8-2pclos2019
- rebuild against updates

* Sun Apr 09 2017 bb2 <bb2> 2.1.8-1pclos2017
- new version
- new major 6

* Sat Mar 05 2016 bb <bb> 2.0.22-2pclos2016
- rebuild openssl

* Tue Oct 20 2015 bb <bb> 2.0.22-1pclos2015
- update

* Fri Apr 24 2014 bb <bb> 2.0.21-3pclos2014
- rebuild openssl

